summaryrefslogtreecommitdiff
path: root/meta-google/recipes-google
diff options
context:
space:
mode:
authorWilliam A. Kennington III <wak@google.com>2021-08-17 12:40:50 +0300
committerWilliam A. Kennington III <wak@google.com>2021-09-16 21:55:13 +0300
commit0f25088ab2a3cde0ca31aedd43033da98d288d00 (patch)
tree9c31f6427b1c6c629309c65fe3338b6c56b03191 /meta-google/recipes-google
parent842eb7f21f9c9417999ffb930994639aad27125d (diff)
downloadopenbmc-0f25088ab2a3cde0ca31aedd43033da98d288d00.tar.xz
meta-google: host-power-ctrl: Fix gpio errors
The return statements should have been exits. Change-Id: I39a190250656ba676ea2ccbe570b88e3f18e5121 Signed-off-by: William A. Kennington III <wak@google.com>
Diffstat (limited to 'meta-google/recipes-google')
-rwxr-xr-xmeta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh b/meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh
index 459eca7e2..4119801b0 100755
--- a/meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh
+++ b/meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh
@@ -15,7 +15,7 @@
source /usr/share/gpio-host-pwr/lib.sh || exit
-gpio_build_cache 10 "$HOST_GPIO_PGOOD" || return 255
-pgood="$(gpio_get_value "$HOST_GPIO_PGOOD")" || return 255
+gpio_build_cache 10 "$HOST_GPIO_PGOOD" || exit 255
+pgood="$(gpio_get_value "$HOST_GPIO_PGOOD")" || exit 255
echo "HOST_PGOOD=$pgood" >&2
(( pgood == 0 ))